Bug 123302 - [Maintainter Update] games/crafty -> 22.1 + new features
Summary: [Maintainter Update] games/crafty -> 22.1 + new features
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-01 16:20 UTC by shoemaker
Modified: 2008-05-02 21:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shoemaker 2008-05-01 16:20:01 UTC
	Update to newest version and add support for new skill feature
which allows crafty to be "dumbed down."

Fix: 

----------------------------------------------------------------------
Free pop3 email with a spam filter.
http://www.bluebottle.com/tag/5--deMS8tr3aYcn4SelciRJHsEicubXOluae0L1X6Ib4emo263r
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	crafty.patch
#
echo x - crafty.patch
sed 's/^X//' >crafty.patch << 'END-of-crafty.patch'
Xdiff -urN crafty-old/Makefile crafty/Makefile
X--- crafty-old/Makefile	2008-04-25 09:24:32.000000000 -0600
X+++ crafty/Makefile	2008-05-01 09:01:48.000000000 -0600
X@@ -6,7 +6,7 @@
X #
X 
X PORTNAME=	crafty
X-PORTVERSION=	22.0
X+PORTVERSION=	22.1
X CATEGORIES=	games
X MASTER_SITES=	ftp://ftp.cis.uab.edu/pub/hyatt/pgn/:data \
X 		ftp://ftp.cis.uab.edu/pub/hyatt/documentation/:doc \
X@@ -51,7 +51,7 @@
X 		-DLOGDIR=\\\"${WITH_LOGDIR}\\\" \
X 		-DRCDIR=\\\"${WITH_RCDIR}\\\" \
X 		-DTBDIR=\\\"${WITH_TBDIR}\\\" \
X-		-DPERSDIR=\\\"${WITH_PERSDIR}\\\"
X+		-DPERSDIR=\\\"${WITH_PERSDIR}\\\" -DSKILL
X 
X .include <bsd.port.pre.mk>
X 
Xdiff -urN crafty-old/distinfo crafty/distinfo
X--- crafty-old/distinfo	2008-04-15 10:23:12.000000000 -0600
X+++ crafty/distinfo	2008-05-01 08:36:43.000000000 -0600
X@@ -1,6 +1,6 @@
X-MD5 (crafty/crafty-22.0.zip) = da1890c572441dfd7687c392c4e897d0
X-SHA256 (crafty/crafty-22.0.zip) = 05772b0a63a07dd5dafc307bcf41df41df0212209a22907244652422bb302fa6
X-SIZE (crafty/crafty-22.0.zip) = 402797
X+MD5 (crafty/crafty-22.1.zip) = 44c983e96cd16bb0314484c5d7af91de
X+SHA256 (crafty/crafty-22.1.zip) = ec25063af97d079402f1daee99493cc7d7c9a9df6001f856f9d0584dd23894be
X+SIZE (crafty/crafty-22.1.zip) = 405169
X MD5 (crafty/start.pgn) = 98176af8ec13945a4ec60ad9b5959412
X SHA256 (crafty/start.pgn) = 750397385a67307bd3e565f7a86d69745476db5fed4735650af971cc94318021
X SIZE (crafty/start.pgn) = 1349
Xdiff -urN crafty-old/pkg-descr crafty/pkg-descr
X--- crafty-old/pkg-descr	2008-04-15 12:13:21.000000000 -0600
X+++ crafty/pkg-descr	2008-05-01 09:00:52.000000000 -0600
X@@ -1,14 +1,21 @@
X-Crafty is a rapidly developing chess engine with more and more features being
X-added regularly.  It can play, analyze, and even annotate games for you.  Crafty
X-can utilize tablebases; these are available for freebsd in the related ports.
X+Crafty is a rapidly developing chess engine with more and more features
X+being added regularly.  It can play, analyze, and even annotate games
X+for you.  Crafty can utilize tablebases; these are available for freebsd
X+in the related ports.
X 
X The files bitmaps.tgz and sound.tgz are available in your doc directory,
X-usually /usr/local/share/doc/crafty.  The bitmaps are for html annotations
X-performed by crafty - they should be unpacked into the directory you normally
X-analyze games into, and all should be fine...
X+usually /usr/local/share/doc/crafty.  The bitmaps are for html
X+annotations performed by crafty - they should be unpacked into the
X+directory you normally analyze games into, and all should be fine...
X 
X The sounds are for move announcements.  Unpack the archive somewhere,
X and have a look at the 'speak' script to customize for your use, if
X desired.
X 
X+22.1 -> New "skill" command that can be used to "dumb down" crafty.
X+"skill <n>" where n is a number between 1 and 100.  100 is max (default)
X+skill.  Skill 70 will drop the playing Elo by about 200 points.  Skill
X+50 will drop it about 400 points.  The curve is not linear, and the
X+closer you get to 1, the lower the rating.
X+
X // J Shoemaker
Xdiff -urN crafty-old/pkg-message crafty/pkg-message
X--- crafty-old/pkg-message	2008-04-15 11:59:30.000000000 -0600
X+++ crafty/pkg-message	2008-05-01 08:59:40.000000000 -0600
X@@ -1,17 +1,9 @@
X-
X This package is set to allow per-user config files, and a shared books
X directory.  To accomplish this, crafty is setgid nobody, and the books
X and learning information are owned by the user 'nobody.'
X 
X The location values are tunable, see message when make is issued.
X 
X-		** IMPORTANT **
X-
X-IF YOU ARE UPGRADING TO THIS VERSION, YOU WILL NEED TO DE-INSTALL ANY
X-OPENING BOOKS YOU HAVE AS THE FORMATS HAVE CHANGED.  SIMPLY UNINSTALL
X-AND REBUILD FROM THE PORT (NOT PACKAGE) AND THEY'LL BE REBUILT BY THE
X-ENGINE IN THE NEW FORMAT.
X-
X If you have an SMP system, add a line to your ~/.craftyrc file to the
X effect:
X 
X@@ -19,3 +11,9 @@
X 
X Do not set this higher than you really have, or performance will
X actually drop.
X+
X+New "skill" command that can be used to "dumb down" crafty.  "skill <n>"
X+where n is a number between 1 and 100.  100 is max (default) skill.
X+Skill 70 will drop the playing Elo by about 200 points.  Skill 50 will
X+drop it about 400 points.  The curve is not linear, and the closer you
X+get to 1, the lower the rating.
END-of-crafty.patch
exit
Comment 1 Martin Wilke freebsd_committer 2008-05-02 09:44:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-05-02 11:13:03 UTC
State Changed
From-To: open->feedback

Please submit updates in "unified diff" format! You'll find instructions 
in the Porters Handbook. Then please submit a followup to this PR. 
Thanks!
Comment 3 shoemaker 2008-05-02 16:04:33 UTC
>Please submit updates in "unified diff" format! You'll find
>instructions in the Porters Handbook. Then please submit a
>followup to this PR. 
>Thanks!

The patch you refer to *is* a recursive unified diff, and shar'd, as
expected in the porters handbook at
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-submitting.html .

Nonetheless, he it is unshar'd, and I'll save myself the step of packing
it as such in the future, since it seems not necessary despite the above
reference...

diff -urN crafty-old/Makefile crafty/Makefile
--- crafty-old/Makefile	2008-04-25 09:24:32.000000000 -0600
+++ crafty/Makefile	2008-05-01 09:01:48.000000000 -0600
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	crafty
-PORTVERSION=	22.0
+PORTVERSION=	22.1
 CATEGORIES=	games
 MASTER_SITES=	ftp://ftp.cis.uab.edu/pub/hyatt/pgn/:data \
 		ftp://ftp.cis.uab.edu/pub/hyatt/documentation/:doc \
@@ -51,7 +51,7 @@
 		-DLOGDIR=\\\"${WITH_LOGDIR}\\\" \
 		-DRCDIR=\\\"${WITH_RCDIR}\\\" \
 		-DTBDIR=\\\"${WITH_TBDIR}\\\" \
-		-DPERSDIR=\\\"${WITH_PERSDIR}\\\"
+		-DPERSDIR=\\\"${WITH_PERSDIR}\\\" -DSKILL
 
 .include <bsd.port.pre.mk>
 
diff -urN crafty-old/distinfo crafty/distinfo
--- crafty-old/distinfo	2008-04-15 10:23:12.000000000 -0600
+++ crafty/distinfo	2008-05-01 08:36:43.000000000 -0600
@@ -1,6 +1,6 @@
-MD5 (crafty/crafty-22.0.zip) = da1890c572441dfd7687c392c4e897d0
-SHA256 (crafty/crafty-22.0.zip) =
05772b0a63a07dd5dafc307bcf41df41df0212209a22907244652422bb302fa6
-SIZE (crafty/crafty-22.0.zip) = 402797
+MD5 (crafty/crafty-22.1.zip) = 44c983e96cd16bb0314484c5d7af91de
+SHA256 (crafty/crafty-22.1.zip) =
ec25063af97d079402f1daee99493cc7d7c9a9df6001f856f9d0584dd23894be
+SIZE (crafty/crafty-22.1.zip) = 405169
 MD5 (crafty/start.pgn) = 98176af8ec13945a4ec60ad9b5959412
 SHA256 (crafty/start.pgn) =
750397385a67307bd3e565f7a86d69745476db5fed4735650af971cc94318021
 SIZE (crafty/start.pgn) = 1349
diff -urN crafty-old/pkg-descr crafty/pkg-descr
--- crafty-old/pkg-descr	2008-04-15 12:13:21.000000000 -0600
+++ crafty/pkg-descr	2008-05-01 09:00:52.000000000 -0600
@@ -1,14 +1,21 @@
-Crafty is a rapidly developing chess engine with more and more features
being
-added regularly.  It can play, analyze, and even annotate games for
you.  Crafty
-can utilize tablebases; these are available for freebsd in the related
ports.
+Crafty is a rapidly developing chess engine with more and more features
+being added regularly.  It can play, analyze, and even annotate games
+for you.  Crafty can utilize tablebases; these are available for
freebsd
+in the related ports.
 
 The files bitmaps.tgz and sound.tgz are available in your doc
directory,
-usually /usr/local/share/doc/crafty.  The bitmaps are for html
annotations
-performed by crafty - they should be unpacked into the directory you
normally
-analyze games into, and all should be fine...
+usually /usr/local/share/doc/crafty.  The bitmaps are for html
+annotations performed by crafty - they should be unpacked into the
+directory you normally analyze games into, and all should be fine...
 
 The sounds are for move announcements.  Unpack the archive somewhere,
 and have a look at the 'speak' script to customize for your use, if
 desired.
 
+22.1 -> New "skill" command that can be used to "dumb down" crafty.
+"skill <n>" where n is a number between 1 and 100.  100 is max
(default)
+skill.  Skill 70 will drop the playing Elo by about 200 points.  Skill
+50 will drop it about 400 points.  The curve is not linear, and the
+closer you get to 1, the lower the rating.
+
 // J Shoemaker
diff -urN crafty-old/pkg-message crafty/pkg-message
--- crafty-old/pkg-message	2008-04-15 11:59:30.000000000 -0600
+++ crafty/pkg-message	2008-05-01 08:59:40.000000000 -0600
@@ -1,17 +1,9 @@
-
 This package is set to allow per-user config files, and a shared books
 directory.  To accomplish this, crafty is setgid nobody, and the books
 and learning information are owned by the user 'nobody.'
 
 The location values are tunable, see message when make is issued.
 
-		** IMPORTANT **
-
-IF YOU ARE UPGRADING TO THIS VERSION, YOU WILL NEED TO DE-INSTALL ANY
-OPENING BOOKS YOU HAVE AS THE FORMATS HAVE CHANGED.  SIMPLY UNINSTALL
-AND REBUILD FROM THE PORT (NOT PACKAGE) AND THEY'LL BE REBUILT BY THE
-ENGINE IN THE NEW FORMAT.
-
 If you have an SMP system, add a line to your ~/.craftyrc file to the
 effect:
 
@@ -19,3 +11,9 @@
 
 Do not set this higher than you really have, or performance will
 actually drop.
+
+New "skill" command that can be used to "dumb down" crafty.  "skill
<n>"
+where n is a number between 1 and 100.  100 is max (default) skill.
+Skill 70 will drop the playing Elo by about 200 points.  Skill 50 will
+drop it about 400 points.  The curve is not linear, and the closer you
+get to 1, the lower the rating.

----------------------------------------------------------------------
Finally - A spam blocker that actually works.
http://www.bluebottle.com/tag/4
Comment 4 dfilter service freebsd_committer 2008-05-02 21:08:11 UTC
miwi        2008-05-02 20:08:06 UTC

  FreeBSD ports repository

  Modified files:
    games/crafty         Makefile distinfo pkg-descr pkg-message 
  Log:
  - Update to 22.1
  
  PR:             123302
  Submitted by:   Jonathan Shoemaker <shoemaker@bluebottle.com> (maintainer)
  
  Revision  Changes    Path
  1.40      +2 -2      ports/games/crafty/Makefile
  1.34      +3 -3      ports/games/crafty/distinfo
  1.3       +13 -6     ports/games/crafty/pkg-descr
  1.3       +6 -8      ports/games/crafty/pkg-message
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2008-05-02 21:08:14 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!